Contenu | Rechercher | Menus

Annonce

Ubuntu-fr vend de superbes t-shirts et de belles clés USB 32Go
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 02/11/2019, à 23:51

Pleney

GIMP 2.8 normal ou 2.10 en snap ?

Bonjour ! J'ai un problème avec l'installation de GIMP.

La version 2.8 s'était normalement installée sur mon ordi avec Ubuntu 18.04. Or, bien que j'installe systématiquement toutes les mises à jour proposées, jamais ce GIMP n'est passé à la version 2.10. Pas normal ça ! yikes

Apprenant récemment qu'une nouvelle version existait, j'ai voulu l'installer avec Logiciel, pensant que ça allait du même coup désinstaller l'ancienne version (c'est ce qui se passerait dans un monde logique, non ?...).

Eh bien pas du tout ! Sans demander mon avis, Logiciel a installé GIMP 2.10 en snap. Je me retrouve donc avec les deux versions, l'une en installation classique et l'autre en snap.

Y a-t-il des avantages et des inconvénients pour chacun de ces types d'installation ? (Il me semble avoir entendu dire que les snap sont beaucoup plus lourds...)

Si finalement je décide de garder 2.10 en snap, comment désinstaller 2.8 proprement ?

Si au contraire je préfère avoir 2.10 en installation classique, comment désinstaller le snap, puis mettre à jour la version 2.8 ?


(Tout ça n'est guère agréable, car outre les mauvais fonctionnements que ça dénote, ça donne l'impression qu'on est manipulé... Un comble pour du logiciel libremad)


Ordinateur HP Intel Core i7 CPU 860 @ 2,80 GHz × 8, mémoire 7,7 Go, DD 1,5 To × 2
Ubuntu 18.04, 64 bits, Unity
Écran HP 68,6 cm 1920×1080, NVIDIA G92 [GeForce GT 230 OEM]
+ 2 vieux ordinateurs 32 bits en DFLinux (Debian Stretch), écrans 768×576

Hors ligne

#2 Le 03/11/2019, à 00:42

Roschan

Re : GIMP 2.8 normal ou 2.10 en snap ?

Pleney a écrit :

Bonjour ! J'ai un problème avec l'installation de GIMP.

La version 2.8 s'était normalement installée sur mon ordi avec Ubuntu 18.04. Or, bien que j'installe systématiquement toutes les mises à jour proposées, jamais ce GIMP n'est passé à la version 2.10. Pas normal ça ! yikes

Totalement normal puisque c'est la version dans les dépôts.

Pleney a écrit :

Sans demander mon avis, Logiciel a installé GIMP 2.10 en snap.

C'est ce que tu voulais non ? Tu voulais 2.10, il t'installe 2.10, quitte à ce que ce soit en snap, de toutes manières le paquet normal n'existe pas donc il n'allait pas l'inventer

Pleney a écrit :

Y a-t-il des avantages et des inconvénients pour chacun de ces types d'installation ? (Il me semble avoir entendu dire que les snap sont beaucoup plus lourds...)

Points négatifs du snap :
- occupe pas mal de place sur ton disque dur, mais en 2019 c'est rarement gênant (sauf si ta connexion internet est nulle, auquel cas les mises à jour seront un peu plus longues)
- met quelques dizaines de secondes de plus à démarrer la première fois
- peut avoir des soucis pour accéder aux documents sur les disques externes
- peut-être des soucis pour les scripts et autres plugins de GIMP ?

Point négatif du paquet normal :
- est en version 2.8

Pleney a écrit :

Si finalement je décide de garder 2.10 en snap, comment désinstaller 2.8 proprement ?

sudo apt remove gimp
Pleney a écrit :

Si au contraire je préfère avoir 2.10 en installation classique, comment désinstaller le snap, puis mettre à jour la version 2.8 ?

étape 1 :

sudo snap remove gimp

étape 2 : attendre quelques mois que quelqu'un construise le paquet, le teste, le fasse valider par Canonical, puis ajoute ça dans le dépôt "bionic-backports"
étape 3 : faire les mises à jour normalement

Alternativement, changer les dépôts de ton système pour ajouter le dépôt personnel d'une personne tierce, ce qui peut causer des instabilités à long terme :

sudo add-apt-repository ppa:otto-kesselgulasch/gimp

puis faire les mises à jour normalement

sudo apt update
sudo apt upgrade
Pleney a écrit :

(Tout ça n'est guère agréable, car outre les mauvais fonctionnements que ça dénote, ça donne l'impression qu'on est manipulé... Un comble pour du logiciel libremad)

Même si Canonical a un léger intérêt marketing à inciter à l'usage de snap (comment leur en vouloir, ils n'ont jamais été bénéficiaires de toute leur histoire après tout), le principal intérêt à court terme est en termes de main-d'œuvre : ils n'ont plus à se soucier de porter des paquets vers les vieilles versions (ce qu'ils faisaient gratuitement alors que c'est long et chiant), hors en snap c'est toujours gratuit c'est juste moins coûteux de faire les paquets.

Ils proposent Snap par défaut car c'est presque toujours le format disponible qui fournit la version la plus récente, c'est-à-dire... précisément ce que tu voulais. Et contrairement à ce que tu laisses entendre, ce n'est pas caché, le format est écrit dans la page de la logithèque en question (il y a même un bouton avec un menu pour choisir le canal, ce qui est spécifique aux paquets snaps, mais normalement tu t'en fous pas la peine de cliquer là dessus, c'est juste pour dire que les pages sont différentes, encore faut-il les lire).

Dernière modification par Roschan (Le 03/11/2019, à 00:44)

Hors ligne

#3 Le 03/11/2019, à 01:20

jeange

Re : GIMP 2.8 normal ou 2.10 en snap ?

Bonjour,
D'accord avec Roschan pour le paquet normal inexistant et avant de faire un clic aléatoire sur Gimp dans la logithèque, il aurait été nécessaire de vérifier le type de 2.10 > 2 versions en snap et LA bonne version en ppa d'Otto à privilégier, cool sur le mulot. wink


PCLF CLEVO W670SZQ i3-4000M Ram 8Go  Haswell HD4600 Ubuntu 14.04  18.04.3 LTS 64bits
033 V nospE   22.8.2 te 21.01.2 pmiG X04D nokiN
Merci de donner les retours avec les balises < > et les allers avec les valises.
%NOINDEX%

Hors ligne

#4 Le 03/11/2019, à 07:31

serged

Re : GIMP 2.8 normal ou 2.10 en snap ?

Pour rajouter mon expérience : Snap n'est pas encore au point, privilégiez donc le PPA ppa:otto-kesselgulasch/gimp

En effet, avec la version snap, on n'a pas accès au scanner !


Linux-Mint 19.2 Tina 64 (Cinnamon) sur ASUS F2A55/AMD A8-5600K APU et diverses machines

Hors ligne

#5 Le 03/11/2019, à 12:01

GammaDraconis

Re : GIMP 2.8 normal ou 2.10 en snap ?

Pleney a écrit :

La version 2.8 s'était normalement installée sur mon ordi avec Ubuntu 18.04. Or, bien que j'installe systématiquement toutes les mises à jour proposées, jamais ce GIMP n'est passé à la version 2.10. Pas normal ça ! yikes

Bah si justement c'est tout à fait normale, si tu t'étonnes de ça c'est que tu n'a pas commpris comment fonctionne Ubuntu (et la plupart des distribs linux), ça a toujours fonctionné comme ça :

Les paquets sont gelés dans une version précise (sauf quelques exceptions pour Firefox et 1 ou 2 autres) et ensuite c'est juste des maj de sécurité et bug sur cette version qui sont appliqué mais il n'y a pas de déploiement de nouvelle version majeure qui apporte des nouveautés.
Pour avoir une nouvelle version d'un logiciel, l'utilisateur devait soit changer de version d'Ubuntu pour mettre la dernière et profiter des dernières versions soit ajouter un PPA (si il existe) pour avoir une version plus récente.

Maintenant par rapport à avant il y a une nouveauté (même 2) : on peux avoir un logiciel plus récent via les Snaps (ou au choix via Flatpak même si cette technologie n'est pas mise en avant par Ubuntu).
(edit : même 3 avec les AppImages même si je ne recommende pas ça sauf en dernier recours).

Pour qu'une distribution linux mette systématiquement la dernière version d'un logiciel dans leur dépot, il faut que ça devienne une "rolling release" ce qui n'est absolument pas le cas d'Ubuntu et ne l'a jamais été.
Un exemple de Rolling : Archlinux. Sur cette distrib vous aurez systématiquement la dernière version de tous les logiciels. le dernier noyau, la dernière version de SystemD, la dernière version de Gnome, de KDE etc...

serged a écrit :

En effet, avec la version snap, on n'a pas accès au scanner !

Tu en es sûr ? n'oublie pas que les snaps intègrent le principe de "permissions d'accès" pour avoir accès aux imprimantes, scanner, partages, lecteur.

Le principe : par défaut c'est bloqué avec le confinement sauf si l'utilisateur l'autorise explicitement. Vérifie dans les permissions du snap de Gimp si t'a bien activé les bonnes permissions.

Dernière modification par GammaDraconis (Le 03/11/2019, à 12:03)


Dell XPS 13 version 2019 (9380) : i7-8565U / 16 Go de ram / 1 To SSD M2 Nvme / Intel Graphic UHD 620 (Ubuntu 20.04LTS / Gnome & ArchLinux / KDE-Plasma)
Tour : AMD Ryzen 7 2700X Octo-Core/16T 3.7GHz, 32 Go Ram - 1 To SSD + 4 To HDD - GeForce 2060RTX 6Go) : (Ubuntu 20.04LTS+Manjaro+W10)
Mon script de post-install pour la 18.04 : https://forum.ubuntu-fr.org/viewtopic.php?id=2026344

Hors ligne

#6 Le 04/11/2019, à 18:38

Pleney

Re : GIMP 2.8 normal ou 2.10 en snap ?

Merci de vos réponses, qui m'ont appris pas mal de choses.

Comme par exemple le fait que les logiciels installés avec Ubuntu ne subissent que des mises à jour mineures, et donc ne suivent pas les nouvelles versions. Je ne sais quelle est la raison invoquée, mais pour moi, utilisateur lambda, c'est vraiment dommage : toute version approuvée par Canonical (donc sécurisée) devrait systématiquement être proposée. Ce genre de désagrément contribue à retarder l'adoption de Linux par les particuliers...

J'espère au moins que les nouvelles versions des logiciels sont systématiquement installées lors des mises à niveau biannuelles d'Ubuntu (même si on ne fait pas une réinstallation complète).

Pour ce qui est du snap, je note que pour Roschan, qui en semble quand même assez partisan, il offre 4 points négatifs, contre un seul pour le paquet normal (et encore, si le paquet normal était mis à jour, il n'aurait aucun point négatif).

Quant aux PPA, ne vaut-il pas mieux s'en méfier ? Non qu'ils soient tous problématiques, bien sûr ; mais ça peut arriver...


Ordinateur HP Intel Core i7 CPU 860 @ 2,80 GHz × 8, mémoire 7,7 Go, DD 1,5 To × 2
Ubuntu 18.04, 64 bits, Unity
Écran HP 68,6 cm 1920×1080, NVIDIA G92 [GeForce GT 230 OEM]
+ 2 vieux ordinateurs 32 bits en DFLinux (Debian Stretch), écrans 768×576

Hors ligne

#7 Le 04/11/2019, à 18:47

jeange

Re : GIMP 2.8 normal ou 2.10 en snap ?

Pleyney a écrit :

Quant aux PPA, ne vaut-il pas mieux s'en méfier ?

Je tourne avec celui d'Otto depuis 2014 sans problème après mon premier Gimp 2.6.7 (sous vista) en 2009 !


PCLF CLEVO W670SZQ i3-4000M Ram 8Go  Haswell HD4600 Ubuntu 14.04  18.04.3 LTS 64bits
033 V nospE   22.8.2 te 21.01.2 pmiG X04D nokiN
Merci de donner les retours avec les balises < > et les allers avec les valises.
%NOINDEX%

Hors ligne

#8 Le 04/11/2019, à 19:01

Roschan

Re : GIMP 2.8 normal ou 2.10 en snap ?

toute version approuvée par Canonical (donc sécurisée) devrait systématiquement être proposée

Elles le sont. En Snap.

Ce genre de désagrément contribue à retarder l'adoption de Linux par les particuliers...

Le particulier lambda se fiche du format de paquet.

Roschan, qui en semble quand même assez partisan

Non.

Si j'avais été partisan de cette chose, je n'aurais pas volontairement allongé la liste des défauts de snap pour réduire celle des paquets natifs. Notamment en ce qui concerne la sécurité et la portabilité, je n'ai pas donné les avantages théoriques de Snap ; ils sont rarement pertinent pour l'usager lambda qui veut juste utiliser GIMP.

Note d'ailleurs que les défauts listés, même si ils dérangent peu pour un logiciel du genre de GIMP, Blender, etc., justifient totalement la désinstallation de tous less snaps pré-installés des utilitaires comme gnome-system-monitor, gnome-calculator etc. (attendre quelques dizaines de secondes de plus pour faire un calcul n'étant pas justifiable)

Quant aux PPA, ne vaut-il pas mieux s'en méfier ? Non qu'ils soient tous problématiques, bien sûr ; mais ça peut arriver...

Tout comme pour les snaps, s'en méfier ne signifie pas les boycotter.

Si GIMP 2.10 t'es vraiment indispensable, prend le PPA ou le snap. Il faut juste que ça ne devienne pas un réflexe : un système entièrement constitué de snaps serait à la limite de inutilisable, un système avec des dizaines de PPA finirait statistiquement par rencontrer une erreur sur l'un d'eux ce qui bloquerait toute nouvelle installation ou mise à jour

Hors ligne